<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>com.yida.data</groupId>
    <artifactId>febs-cloud</artifactId>
    <version>2.2-RELEASE</version>
  </parent>

  <artifactId>febs-server</artifactId>
  <version>2.2-RELEASE</version>
  <packaging>pom</packaging>
  <name>FEBS-Server</name>
  <description>FEBS-Server服务提供模块</description>

  <modules>
    <module>febs-server-system</module>
    <module>febs-server-job</module>
    <module>edu-user</module>
    <module>edu-device</module>
    <module>edu-school</module>
    <module>edu-common</module>
    <module>edu-custom-form</module>
    <module>edu-card-server</module>
    <module>edu-mall</module>
    <module>edu-websocket</module>
    <module>edu-attendance</module>
  </modules>

  <dependencies>
    <dependency>
      <groupId>com.yida.data</groupId>
      <artifactId>febs-common-core</artifactId>
      <version>${febs-cloud.version}</version>
    </dependency>
    <!--日志-->
    <dependency>
      <groupId>net.logstash.logback</groupId>
      <artifactId>logstash-logback-encoder</artifactId>
      <version>${logstash-logback-encoder.version}</version>
    </dependency>
    <!--seata分布式事务-->
    <dependency>
      <groupId>io.seata</groupId>
      <artifactId>seata-spring-boot-starter</artifactId>
      <version>${seata.version}</version>
      <exclusions>
        <exclusion>
          <artifactId>druid</artifactId>
          <groupId>com.alibaba</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <!--连接池-->
    <dependency>
      <groupId>com.alibaba</groupId>
      <artifactId>druid-spring-boot-starter</artifactId>
      <version>${druid.version}</version>
    </dependency>
    <!--操作日志-->
    <dependency>
      <groupId>com.yida.data</groupId>
      <artifactId>febs-common-log-starter</artifactId>
      <version>${febs-cloud.version}</version>
      <scope>compile</scope>
    </dependency>
    <!--数据源-->
    <dependency>
      <groupId>com.yida.data</groupId>
      <artifactId>febs-common-datasource-starter</artifactId>
      <version>${febs-cloud.version}</version>
    </dependency>
    <!--鉴权-->
    <dependency>
      <groupId>com.yida.data</groupId>
      <artifactId>febs-common-security-starter</artifactId>
      <version>${febs-cloud.version}</version>
    </dependency>
    <!--swagger文档-->
    <dependency>
      <groupId>com.yida.data</groupId>
      <artifactId>febs-common-doc-starter</artifactId>
      <version>${febs-cloud.version}</version>
    </dependency>
    <!--redis-->
    <dependency>
      <groupId>com.yida.data</groupId>
      <artifactId>febs-common-redis-starter</artifactId>
      <version>${febs-cloud.version}</version>
      <scope>compile</scope>
    </dependency>
    <!--消息队列-->
    <dependency>
      <groupId>com.yida.data</groupId>
      <artifactId>rabbitmq-starter</artifactId>
      <version>${febs-cloud.version}</version>
      <scope>compile</scope>
    </dependency>

    <dependency>
      <groupId>org.ansj</groupId>
      <artifactId>ansj_seg</artifactId>
      <version>${ansj.version}</version>
    </dependency>
  </dependencies>
</project>